<?php

if( ! class_exists( 'CSF_Field_activation' ) && class_exists( 'CSF_Fields' ) ) {
  class CSF_Field_activation extends CSF_Fields {

    public function __construct( $field, $value = '', $unique = '', $where = '', $parent = '' ) {
      parent::__construct( $field, $value, $unique, $where, $parent );
    }

    public function render() {
		?>
	
<div class="mixano-wrap-activation"><!-- mixano-wrap -->	
		
		<div class="wow-row flex"><!-- wow-row -->
		
			<div class="wow-box flex wow-register-theme <?php if( get_option( "mixano_license_active" ) == "inactive" || get_option( "mixano_license_active" ) != "active" ) { echo 'show'; } ?>">
				<div class="wow-box-inner key">
					<div class="info-holder box">
						<h1><?php esc_html_e('Activate theme','mixano'); ?><?php mixano_svg( 'lock-line' ); ?></h1>
						<p><?php esc_html_e('Register your theme to receive automatic updates and import demos.','mixano'); ?><br/>
							<?php echo sprintf( '%s <a href="%s" target="_blank">%s</a>', 
								esc_html__( 'You can find your purchase code in your Envato account.', 'mixano' ), 
								esc_url( 'https://help.market.envato.com/hc/en-us/articles/202822600-Where-Is-My-Purchase-Code' ),		
								esc_html__( 'Find out more', 'mixano' ));  ?>
						</p>
						<div class="holder">
							<input type="text" name="activate" placeholder="<?php esc_attr_e('Add your purchase code here','mixano'); ?>" >
							<a href="#" target="_blank" class="go_to_activate buttons activate in-box orange"><i class="wow-webapplication-lock"></i><?php esc_html_e('Register Theme','mixano'); ?></a>
						</div>
					</div>
				</div>			
			</div>			

			<div class="wow-box flex wow-theme-activated <?php if( get_option( "mixano_license_active" ) == "active"  ) { echo 'show'; } ?>">
				<div class="wow-box-inner activated">
					<div class="info-holder box">
						<h1><?php esc_html_e('Yay! Your theme is activated','mixano'); ?><?php mixano_svg( 'lock-unlock-line' ); ?></h1>
						<p><?php esc_html_e('Congrats. Your theme is registered.','mixano'); ?><br>
						<?php esc_html_e('Remember to de-register first, if you want to use it on another domain.','mixano'); ?></p>
						<div class="holder">
							<input type="text" name="de-activate" value="<?php echo esc_attr( get_option("mixano_purchase_code") ); ?>">
							<a href="#" target="_blank" class="buttons activate in-box green de-activate"><i class="wow-webapplication-unlocked"></i><?php esc_html_e('De-Register Theme','mixano'); ?></a>
						</div>
					</div>
				</div>			
			</div>		
			
		</div><!-- /wow-row -->				

	</div><!-- /mixano-wrap -->
	
<?php    }

  }
}