<?php
$prefix = 'mixano_post_video_options';
 // Create a metabox
  CSF::createMetabox( $prefix, array(
    'title'  => esc_html__('Video Options','mixano' ),
    'post_type' => 'post',
	'post_formats' => 'video',
	'data_type' => 'unserialize',
  ) );

  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_html__('Video Type','mixano' ),
    'fields' => array(

	array(
	  'id'         => 'video-type',
	  'type'       => 'button_set',
	  'title'  => esc_html__('Video Type','mixano' ),
	  'options'    => array(
		'youtube'  => esc_html__('Youtube','mixano' ),
		'vimeo' => esc_html__('Vimeo','mixano' ),
		'custom' => esc_html__('Embed Code','mixano' ),
	  ),
	  'default'    => 'youtube'
	),
	
	array(
	  'id'      => 'youtube',
	  'type'    => 'text',
	  'title'   => esc_html__('Enter Youtube URL','mixano' ), 
	  'desc' => esc_html__('Add youtube video url. Example: https://www.youtube.com/watch?v=pJ5FD9_Orbg','mixano' ),
	  'dependency' => array( 'video-type', '==', 'youtube' ),
	),
	
	array(
	  'id'      => 'vimeo',
	  'type'    => 'text',
	  'title'   => esc_html__('Enter Vimeo URL','mixano' ),
	  'desc' => esc_html__('Add vimeo video url. Example: https://vimeo.com/173405377','mixano' ),
	  'dependency' => array( 'video-type', '==', 'vimeo' ),
	),	
	array(
	  'id'      => 'custom',
	  'type'    => 'textarea',
	  'title'   => esc_html__('Enter Video Embed Code','mixano' ),
	  'desc' => esc_html__('Add custom video embed code. Example: &#x3C;iframe frameborder="0" width="480" height="270" src="https://www.dailymotion.com/embed/video/x7l8s9r" allowfullscreen allow="autoplay"&#x3E;&#x3C;/iframe&#x3E;','mixano' ),
	  'dependency' => array( 'video-type', '==', 'custom' ),
	),

    )
  ) );
