<?php
$prefix = 'mixano_post_options';
 // Create a metabox
  CSF::createMetabox( $prefix, array(
    'title'     => esc_html__( 'Post options','mixano' ),
    'post_type' => 'post',
	'data_type' => 'unserialize',
  ) );

	if ( class_exists( 'Easy_Digital_Downloads' ) ){
		if ( !empty( mixano_get_edd_downloads() ) ){
			$edd = esc_html__( 'Select a premium download for this freebie. ','mixano' );
		}
		else{
			$edd = esc_html__( 'Please add some downloads ( Downloads > Add New ), and they will appear here after adding them.','mixano' );
		}
	}
	else{
		$edd = esc_html__( 'Install Easy Digital Download plugin if you would like to sell premium freebies.','mixano' );
	}
	

  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_html__( 'Layout','mixano' ),
	'icon' => 'fa fa-th-list',
    'fields' => array(		
		array(
		  'id'         => 'blog-single-layout',
		  'type'       => 'button_set',
		  'title'      => esc_html__( 'Post layout','mixano' ),
		  'desc'      => esc_html__( 'Select your single layout type. This will override the theme option setting, for this post only.','mixano' ),
		  'options'    => array(
			'default' => esc_html__( 'Default from theme options','mixano' ),
			'sidebar' => esc_html__( 'Sidebar','mixano' ),
			'sidebar-fancy' => esc_html__( 'Sidebar Fancy','mixano' ),
			'sidebar-fancy-light' => esc_html__( 'Sidebar Fancy Light','mixano' ),
			'full' => esc_html__( 'Full','mixano'  ),
			'full-fancy' => esc_html__( 'Full Fancy','mixano'  ),
			'full-fancy-light' => esc_html__( 'Full Fancy Light','mixano'  ),
		  ),
		  'default'    => 'default'
		),

    )
  ) );   
  
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_html__( 'Advertisement','mixano' ),
	'icon' => 'fa fa-audio-description',
    'fields' => array(		
		array(
		  'id'         => 'blog-advertisement-top',
		  'type'       => 'button_set',
		  'title'      => esc_html__( 'Post advertisement top','mixano' ),
		  'desc'      => esc_html__( 'Allows you to hide/show article top advertisement banner on this specific post. This will override the theme option setting, for this post only.','mixano' ),
		  'options'    => array(
			'default' => esc_html__( 'Default from theme options','mixano' ),
			'show' => esc_html__( 'Show','mixano' ),
			'hide' => esc_html__( 'Hide','mixano' ),
		  ),
		  'default'    => 'default'
		),		
		array(
		  'id'         => 'blog-advertisement-bottom',
		  'type'       => 'button_set',
		  'title'      => esc_html__( 'Post advertisement bottom','mixano' ),
		  'desc'      => esc_html__( 'Allows you to hide/show article bottom advertisement banner on this specific post. This will override the theme option setting, for this post only.','mixano' ),
		  'options'    => array(
			'default' => esc_html__( 'Default from theme options','mixano' ),
			'show' => esc_html__( 'Show','mixano' ),
			'hide' => esc_html__( 'Hide','mixano' ),
		  ),
		  'default'    => 'default'
		),

    )
  ) );  


  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_html__( 'Download button','mixano' ),
	'icon' => 'fa fa-download',
    'fields' => array(
	array(
	  'id'      => 'download-url',
	  'type'    => 'text',
	  'title'   => esc_html__( 'Freebie download URL','mixano' ),
	  'desc' => esc_html__( 'Add your freebie download URL I.e https://example.com/myfile.zip','mixano' ),
	),		
	array(
	  'id'      => 'new-tab',
	  'type'    => 'checkbox',
	  'title'   => esc_html__( 'Open link in new tab?','mixano' ),
	  'desc' => esc_html__( 'Check this if you want this link to be opened in a new tab.','mixano' ),
	),		
	array(
	  'id'      => 'download-text',
	  'type'    => 'text',
	  'title'   => esc_html__( 'Download text on the button','mixano' ),
	  'desc' => esc_html__( 'I.e Download freebie','mixano' ),
	  'default'    => esc_html__( 'Download','mixano' ),
	),		
	array(
	  'id'      => 'download-counter',
	  'type'    => 'text',
	  'title'   => esc_html__( 'Number of downloads','mixano' ),
	  'desc' => esc_html__( 'You can increase this number as you wish. Numbers only.','mixano' ),
	),						
    )
  ) );  
  
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_html__( 'Premium download button','mixano' ),
	'icon' => 'fa fa-dollar',
    'fields' => array(	
	array(
	  'id'      => 'premium-download',
	  'type'    => 'select',
	  'options' => mixano_get_edd_downloads(),
	  'title'   => esc_html__( 'Premium download','mixano' ),
	  'desc' => $edd,
	),		
	array(
	  'id'      => 'premium-download-text',
	  'type'    => 'text',
	  'title'   => esc_html__( 'Buy text on the button','mixano' ),
	  'desc' => esc_html__( 'I.e Buy product','mixano' ),
	),	
    )
  ) );    
  
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_html__( 'Custom button','mixano' ),
	'icon' => 'fa fa-link',
    'fields' => array(

	//start repeater field
	array(
	  'id'     => 'custom-button',
	  'type'   => 'repeater',
	  'title'  => esc_html__( 'Add custom button','mixano' ),
	  'desc' => esc_html__( 'Add custom button(s) in the hero section of single post. You can use this for example if you sell affiliate products, or for anything else you desire.','mixano' ),
	  'fields' => array(

			array(
			  'id'      => 'custom-button-url',
			  'type'    => 'text',
			  'title'   => esc_html__( 'Button URL','mixano' ),
			  'desc' => esc_html__( 'I.e https://www.amazon.com/','mixano' ),
			  'default'    => '#'
			),		
			array(
			  'id'      => 'custom-button-text',
			  'type'    => 'text',
			  'title'   => esc_html__( 'Button text','mixano' ),
			  'desc' => esc_html__( 'I.e Buy Product','mixano' ),
			  'default'    => esc_html__( 'Buy Product','mixano' ),
			),
			array(
			  'id'      => 'custom-button-bg',
			  'type'    => 'color',
			  'title'   => esc_html__( 'Button background','mixano' ),
			  'desc' => esc_html__( 'Choose background of button.','mixano' ),
			  'default'    => mixano_get_main_color(),
			),			
			array(
			  'id'      => 'custom-new-tab',
			  'type'    => 'checkbox',
			  'title'   => esc_html__( 'Open link in new tab?','mixano' ),
			  'desc' => esc_html__( 'Check this if you want this link to be opened in a new tab.','mixano' ),
			  'default'    => '0',
			),							
	  ),
	), 
	//end repeater field
	
    )
  ) );  
	
	$mixano_categories_select = array();
	if( isset($_GET['post']) && !empty( sanitize_text_field( $_GET['post'] ) ) ){
		
		$mixano_categories = get_the_category( sanitize_text_field( $_GET['post'] ) );		
		if( !empty( $mixano_categories ) && is_array( $mixano_categories ) ){
			foreach($mixano_categories as $category){
				$mixano_categories_select[$category->term_id] = $category->name;
			}
		}
	}

  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_html__( 'Big Category','mixano' ),
	'icon' => 'fa fa-bold',
    'fields' => array(	
		array(
		  'id'         => 'different-big-category',
		  'type'       => 'button_set',
		  'title'      => esc_html__( 'Different big category?','mixano' ),
		  'desc'      => esc_html__( 'Allows you to display another big category for this post only.','mixano' ),
		  'options'    => array(
			'no' => esc_html__( 'No','mixano' ),
			'yes' => esc_html__( 'Yes','mixano' ),
		  ),
		  'default'    => 'no',
		),	
		array(
		  'id'      => 'big-category',
		  'type'    => 'select',  
		  'options'    => $mixano_categories_select,
		  'title'   => esc_html__( 'Big Category','mixano' ),
		  'desc' => esc_html__( 'Display another big category for this post only.','mixano' ),
		  'dependency' => array( 'different-big-category', '==', 'yes' ),
		),		

    )
  ) );  
  
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_html__( 'Extra','mixano' ),
	'icon' => 'fa fa-eye',
    'fields' => array(		
	array(
	  'id'      => 'post-views-count',
	  'type'    => 'text',
	  'title'   => esc_html__( 'Number of post views','mixano' ),
	  'desc' => esc_html__( 'You can increase this number. Numbers only.','mixano' ),
	),		

    )
  ) );
