<?php
/*
=================================================================================================================
mixano_has_syntax_higlight() - Determine if a post or page has <code class> tag & enqueue js and css only when used
=================================================================================================================
*/
function mixano_has_syntax_higlight(){
	global $post;	
	$content = ( is_object( $post ) )? $post->post_content  : '' ;

	if ( strpos( $content, '<pre class="wp-block-code">' ) !== false && ( is_single() || is_page() ) ) {
		add_action( 'wp_footer', 'mixano_footer_sh_js_init', 20 );
		add_action( 'get_footer', 'mixano_footer_sh_css' );
		add_action( 'wp_enqueue_scripts' , 'mixano_footer_sh_js' , 1 );
	}
}
add_action( 'wp','mixano_has_syntax_higlight' );



/*
=================================================================================================================
mixano_footer_sh_js() - enqueue syntax highlighter js
=================================================================================================================
*/
function mixano_footer_sh_js(){	
	wp_enqueue_script( 'mixano-code-js', MIXANO_PLUGIN_URI.'/js/highlight.min.js', '', '', true );	 
}

/*
=================================================================================================================
mixano_footer_sh_css() - enqueue syntax highlighter css
=================================================================================================================
*/
function mixano_footer_sh_css() {
	wp_enqueue_style( 'mixano-code-css', MIXANO_PLUGIN_URI.'/css/highlight.min.css' );
}

/*
=================================================================================================================
mixano_footer_sh_js_init() - init syntax highlighter
=================================================================================================================
*/
function mixano_footer_sh_js_init(){ ?>
<script>
hljs.initHighlightingOnLoad();
</script>
<?php }