<?php
/**
 * Comments template
 *
 * @package Mixano
 * @author wowlayers
 *
 * If no password is supplied for the protected post exit early
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php if ( have_comments() ) : ?>
		
		<div class="vertical-line"></div>
		<div class="vertical-text"><?php mixano_get_comments_number(); ?></div>
		
		<div class="heading">
			<h3 class="upper-heading dark"><?php echo esc_html__( 'Join the', 'mixano' ); ?><span class="dark-line"></span></h3>
			<h2 class="comments-title"><?php echo esc_html__( 'Conversation', 'mixano' ); ?><span class="color-1">.</span></h2>
		</div>

		<ul class="commentlist">
			<?php
			wp_list_comments(
				array(
					'callback' => 'mixano_comment',
					'style'    => 'ol',
				)
			);
			?>
		</ul><!-- .commentlist -->

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
		<nav id="comment-nav-below" class="navigation" role="navigation">
			<h2 class="comment=navigation"><?php esc_html_e( 'Comment navigation', 'mixano' ); ?></h2>
			<div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'mixano' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'mixano' ) ); ?></div>
		</nav>
		<?php endif; // check for comment navigation ?>

		<?php
		if ( ! comments_open() && get_comments_number() ) :
			?>
		<p class="nocomments"><?php esc_html_e( 'Comments are closed.', 'mixano' ); ?></p>
		<?php endif; ?>

	<?php endif; // have_comments() ?>

</div><!-- #comments .comments-area -->