<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/*
=================================================================================================================
mixano_render_post_ad - Render post ad
=================================================================================================================
*/
function mixano_render_post_ad(){
	
	if ( mixano_option( 'ads','enable-post-ad' ) == 1 ){ ?>
	
		<div class="post-thumb">
			<div class="date-published">
				<span class="big"><?php echo esc_html__('Advertisement','mixano'); ?></span>
			</div>
		
		<?php //banner ad
		if ( mixano_option( 'ads','post-ad-type') == 'banner' ){
			if ( !empty( mixano_option( 'ads','post-ad-url' ) ) && !empty( mixano_option( 'ads','post-ad-media' ) ) ){
				if ( mixano_option( 'lazy-load' )  == '1' ){ ?>
				
				<div class="post-comm">
					<a href="<?php echo esc_url( mixano_option( 'ads','post-ad-url' ) ); ?>"><img class="lazyload" src="data:image/gif;base64,R0lGODdhAQABAPAAAMPDwwAAACwAAAAAAQABAAACAkQBADs=" data-src="<?php echo esc_url(  mixano_option( 'ads','post-ad-media' ) ); ?>" alt="<?php echo esc_attr__('Post Ad','mixano'); ?>"></a>
				</div>
				<?php if ( !empty ( mixano_option( 'ads','post-ad-after' ) ) ) { ?><p><?php echo esc_html( mixano_option( 'ads','post-ad-after' ) ); ?></p><?php } ?>
<?php			}
				else{ ?>
				
				<div class="post-comm">
					<a href="<?php echo esc_url( mixano_option( 'ads','post-ad-url' ) ); ?>"><img src="<?php echo esc_url( mixano_option( 'ads','post-ad-media' ) ); ?>" alt="<?php echo esc_attr__('Post Ad','mixano'); ?>"></a>
				</div>
				<?php if ( !empty ( mixano_option( 'ads','post-ad-after' ) ) ) { ?><p><?php echo esc_html( mixano_option( 'ads','post-ad-after' ) ); ?></p><?php } ?>	
<?php			}
			}
		} // end if banner ad
		
		//code ad
		elseif( mixano_option( 'ads','post-ad-type') == 'code' && !empty( mixano_option( 'ads','post-ad-code' ) ) ) { ?>
		<div class="post-comm adsense">
			<?php echo do_shortcode( mixano_option( 'ads','post-ad-code' ) ); ?>
		</div>
		<?php if ( !empty ( mixano_option( 'ads','post-ad-after' ) ) ) { ?><p><?php echo esc_html( mixano_option( 'ads','post-ad-after' ) ); ?></p><?php } ?>
<?php		} ?>
	</div>
<?php 	}
}

/*
=================================================================================================================
mixano_render_header_ad - Render header ad
=================================================================================================================
*/
function mixano_render_header_ad(){
	if ( mixano_option( 'ads','enable-header-ad' ) == 1 ){
		//banner ad
		if ( mixano_option( 'ads','header-ad-type') == 'banner' ){
			if ( !empty( mixano_option( 'ads','header-ad-url' ) ) && !empty( mixano_option( 'ads','header-ad-media' ) ) ){
				if ( mixano_option( 'lazy-load' )  == '1' ){ ?>
				
				<div class="header-comm">
					<a href="<?php echo esc_url( mixano_option( 'ads','header-ad-url' ) ); ?>"><img class="lazyload" src="data:image/gif;base64,R0lGODdhAQABAPAAAMPDwwAAACwAAAAAAQABAAACAkQBADs=" data-src="<?php echo esc_url( mixano_option( 'ads','header-ad-media' ) ); ?>" alt="<?php echo esc_attr__('Header Ad','mixano'); ?>"></a>
				</div>
					
<?php			}
				else{ ?>
				
				<div class="header-comm">
					<a href="<?php echo esc_url( mixano_option( 'ads','header-ad-url' ) ); ?>"><img src="<?php echo esc_url( mixano_option( 'ads','header-ad-media' ) ); ?>" alt="<?php echo esc_attr__('Header Ad','mixano'); ?>"></a>
				</div>
					
<?php			}
			}
		} // end if banner ad
		
		//code ad
		elseif( mixano_option( 'ads','header-ad-type') == 'code' && !empty( mixano_option( 'ads','header-ad-code' ) ) ) { ?>
		<div class="header-comm adsense">
			<?php echo do_shortcode( mixano_option( 'ads','header-ad-code' ) ); ?>
		</div>
<?php		}
	}
}

/*
=================================================================================================================
mixano_render_above_post_ad - Render above post head ad
=================================================================================================================
*/
function mixano_render_above_post_ad(){
	
	$display = false;
	$post_ad  = get_post_meta( get_the_ID(), 'blog-advertisement-top', true );
	
	if ( $post_ad == 'hide' ){
		$display = false;
	}	
	elseif ( $post_ad == 'show' || mixano_option( 'ads','enable-single1-ad' ) == 1 && function_exists ( 'mixano_plugins_core' )  ){
		$display = true;
	}
	

	if ( $display ) {
		//banner ad
		if ( mixano_option( 'ads','single1-ad-type') == 'banner' ){
			if ( !empty( mixano_option( 'ads','single1-ad-url' ) ) && !empty( mixano_option( 'ads','single1-ad-media' ) ) ){
				if ( mixano_option( 'lazy-load' )  == '1' ){  ?>
				
				<div id="ad-above-post">
					<a href="<?php echo esc_url( mixano_option( 'ads','single1-ad-url' ) ); ?>"><img class="lazyload" src="data:image/gif;base64,R0lGODdhAQABAPAAAMPDwwAAACwAAAAAAQABAAACAkQBADs=" data-src="<?php echo esc_url( mixano_option( 'ads','single1-ad-media' ) ); ?>" alt="<?php echo esc_attr__('Above post content Ad','mixano'); ?>"></a>
				</div>
					
<?php			}
				else{ ?>
				
				<div id="ad-above-post">
					<a href="<?php echo esc_url( mixano_option( 'ads','single1-ad-url' ) ); ?>"><img src="<?php echo esc_url( mixano_option( 'ads','single1-ad-media' ) ); ?>" alt="<?php echo esc_attr__('Above post content Ad','mixano'); ?>"></a>
				</div>
					
<?php			}
			}
		} // end if banner ad
		
		//code ad
		elseif( mixano_option( 'ads','single1-ad-type') == 'code' && !empty( mixano_option( 'ads','single1-ad-code' ) ) ) { ?>
		<div id="ad-above-post adsense">
			<?php echo do_shortcode( mixano_option( 'ads','single1-ad-code' ) ); ?>
		</div>
<?php		}
	}
}


/*
=================================================================================================================
mixano_render_bellow_post_ad - Render bellow post head ad
=================================================================================================================
*/
function mixano_render_bellow_post_ad(){
	
	$display = false;
	$post_ad  = get_post_meta( get_the_ID(), 'blog-advertisement-bottom', true );
	
	if ( $post_ad == 'hide' ){
		$display = false;
	}	
	elseif ( $post_ad == 'show' || mixano_option( 'ads','enable-single2-ad' ) == 1 && function_exists ( 'mixano_plugins_core' ) ){
		$display = true;
	}
	
	if ( $display ){
		//banner ad
		if ( mixano_option( 'ads','single2-ad-type') == 'banner' ){
			if ( !empty( mixano_option( 'ads','single2-ad-url' ) ) && !empty( mixano_option( 'ads','single2-ad-media' ) ) ){
				if ( mixano_option( 'lazy-load' )  == '1' ){  ?>
				
				<div id="ad-bellow-post">
					<a href="<?php echo esc_url( mixano_option( 'ads','single2-ad-url' ) ); ?>"><img class="lazyload" src="data:image/gif;base64,R0lGODdhAQABAPAAAMPDwwAAACwAAAAAAQABAAACAkQBADs=" data-src="<?php echo esc_url( mixano_option( 'ads','single2-ad-media' ) ); ?>" alt="<?php echo esc_attr__('Above post content Ad','mixano'); ?>"></a>
				</div>
					
<?php			}
				else{ ?>
				
				<div id="ad-bellow-post">
					<a href="<?php echo esc_url( mixano_option( 'ads','single2-ad-url' ) ); ?>"><img src="<?php echo esc_url( mixano_option( 'ads','single2-ad-media' ) ); ?>" alt="<?php echo esc_attr__('Above post content Ad','mixano'); ?>"></a>
				</div>
					
<?php			}
			}
		} // end if banner ad
		
		//code ad
		elseif( mixano_option( 'ads','single2-ad-type') == 'code' && !empty( mixano_option( 'ads','single2-ad-code' ) ) ) { ?>
		<div id="ad-bellow-post adsense">
			<?php echo do_shortcode( mixano_option( 'ads','single2-ad-code' ) ); ?>
		</div>
<?php		}
	}
}