<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/*
*
*
* Theme options built-in WordPress
*
*
*
*/

class Mixano_Customize {

   public static function register ( $wp_customize ) {
	
	# set transport postMessage for some options
	$wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
	$wp_customize->get_setting( 'custom_logo' )->transport = 'postMessage';
  
	# move some default options to theme options panel
	$wp_customize->remove_section ('header_image');
	$wp_customize->remove_section ('background_image');
	$wp_customize->remove_section ('colors');
      
   }

   #output_css() - customzier CSS - hooked @ wp_enqueue_scripts
   public static function output_css() {
		  $css = '';
		   wp_add_inline_style( 'mixano-custom-css', $css );
   }
   
   
   #live preview for customizer
   public static function live_preview() {
      wp_enqueue_script( 
           'mixano-theme-customizer',
           MIXANO_URI . '/js/mixano-theme-customizer.js', 
           array(  'jquery', 'customize-preview' ), 
           '',
           true
      );
   }   
   
   #generate custom css code
   public static function generate_css( $selector, $style, $mod_name, $rgba=false, $prefix='', $postfix='' ) {
    
      $mod = get_theme_mod( $mod_name );
	  if ( $rgba ){
		 $mod = esc_attr( mixano_hex( $mod, $rgba ) );
	  }
      if ( ! empty( $mod ) ) {
         $return = sprintf('%s { %s:%s; }',
            $selector,
            $style,
            $prefix . esc_attr( $mod ) . $postfix
         );
         
        return $return;
      }
     
    }
}

add_action( 'customize_register' , 		array( 'Mixano_Customize' , 'register' ) );
add_action( 'wp_enqueue_scripts' , 		array( 'Mixano_Customize' , 'output_css' ) );
add_action( 'customize_preview_init' ,  array( 'Mixano_Customize' , 'live_preview' ) );

#sanitize radio or select
function mixano_sanitize_select_or_radio( $input, $setting ){
	$input = sanitize_key( $input );
	$choices = $setting->manager->get_control( $setting->id )->choices;
	return ( array_key_exists( $input, $choices ) ? $input : $setting->default );                             
}


/*
=================================================================================================================
mixano_hide_fields_in_customizer() - Hide certain fields field in customizer
=================================================================================================================
*/
function mixano_hide_fields_in_customizer(){
	global $wp_customize;
	$wp_customize->remove_section( 'mixano_options-section-22' );
	$wp_customize->remove_section( 'mixano_options-section-23' );
}
add_action( 'customize_register', 'mixano_hide_fields_in_customizer', 11 );

/*
=================================================================================================================
mixano_customize_register_init() - Customizer tweaks
=================================================================================================================
*/
function mixano_customize_register_init( $wp_customize ){
   $wp_customize->get_section('title_tagline')->priority = 0;
}

add_action( 'customize_register', 'mixano_customize_register_init' );