(function($){

	"use strict";

	$(window).scroll(function() {
		"use strict";
		
		var headerHeight = $("#theme-header").outerHeight(true) || 0;				
		var scrollPos = $(this).scrollTop();
		
		//sticky
		if ( scrollPos > headerHeight && mixano_data.sticky == 1 ){
			$('header#theme-header').addClass('header-sticky');
			$('body').addClass('scrolled');
		}
		else if ( scrollPos < headerHeight && mixano_data.sticky == 1 ){
			$('header#theme-header').removeClass('header-sticky');
			$('body').removeClass('scrolled');
		}		
		
		//go to top button
		if( scrollPos > 400 ){
			$(".go_up_btn").fadeIn().css("display", "flex");
		}
		else{
			$(".go_up_btn").fadeOut();
		}
		
	});	
})(jQuery);

//responsive menu gradient background calculator
(function($){

	"use strict";

	$(".mobile-trigger").on( "click", function(event) {
		event.preventDefault();
		
		var windowWidth = $(window).width(), width = windowWidth;

		var canvas = document.createElement("CANVAS");
		canvas.width = width;
		canvas.height = 100;		
		
		 var ctx=canvas.getContext("2d");
		 var grd=ctx.createLinearGradient(0,0,width,0);
		 grd.addColorStop(0,mixano_data.main_color1);
		 grd.addColorStop(1,mixano_data.main_color2);

		ctx.fillStyle=grd;
		ctx.fillRect(0,0,width,100);	
		
		var menuWidth = $("#primary").outerWidth(true),
			leftOffset = ( windowWidth - menuWidth ) / 2,
			rightOffset = parseInt( leftOffset ) + parseInt( menuWidth );

		var x_leftOffset = leftOffset, x_rightOffset = rightOffset, y_offset = 1;
		
		var p_left = ctx.getImageData(x_leftOffset, y_offset, 1, 1).data, 
			p_right = ctx.getImageData(x_rightOffset, y_offset, 1, 1).data,
			hex_left = "#" + ("000000" + rgbToHex(p_left[0], p_left[1], p_left[2])).slice(-6),
			hex_right = "#" + ("000000" + rgbToHex(p_right[0], p_right[1], p_right[2])).slice(-6);
		
		$("#primary").css("background-image","linear-gradient(90deg, " + hex_left + " 0%, " + hex_right +  " 100%)");
		
		if( !$("ul#primary > li:first-child .mobile-rounded-left").length ){
			$("ul#primary > li:first-child").prepend('<span class="mobile-rounded-left"></span>');
			$("ul#primary > li:first-child").append('<span class="mobile-rounded-right"></span>');			
		}
		
		$("ul#primary > li:first-child .mobile-rounded-left").css("border-color",hex_left);
		$("ul#primary > li:first-child .mobile-rounded-right").css("border-color",hex_right);
	});	

	function rgbToHex(r, g, b) {
		if (r > 255 || g > 255 || b > 255)
			throw "Invalid color component";
		return ((r << 16) | (g << 8) | b).toString(16);
	}

})(jQuery);

(function($){
    "use strict";
	
	var windowWidth = $(window).width();

	var loaded = false;
	
	//mobile
	function mobile_menu_offset( windowWidth ){
		if( windowWidth < 1024 ){
			
			var mobile_menu_offset = $("#theme-header").outerHeight(true) - 10;
			$("nav.nav").css("top", mobile_menu_offset + "px");
		}				
	}

	if( windowWidth < 1024 ){	

		$(".menu > li > a").click(function(event){
			if( $(this).parent().hasClass("menu-item-has-children") ){
				event.preventDefault();	
				var this_opened_menu = $(this).closest(".menu > li");
				$(".menu > li").not(this_opened_menu).each(function(){
					$(".sub-menu" , this).removeClass("open-menu");
					$(".sub-menu" , this).removeClass("submenu-toggle");
					$(this).closest("li").find("svg").removeClass('rotate');	
				});				
				$(this).closest("li").find(".sub-menu").toggleClass('submenu-toggle');				
				$(this).closest("li").find("svg").toggleClass('rotate');				
			}
		});


	}
	
	
	$(".mobile-trigger").on( "click", function(event) {
		event.preventDefault();
		
		$(".overlay").removeClass("visible");
		
		
		var headerHeight = $("#theme-header").outerHeight(true) || 0;
		
		$("#primary.menu").css("top",headerHeight + "px");
		
		$(this).toggleClass( "is-active" );
		
		$("header#theme-header nav").toggleClass( "open" );			
		$(".searchform.active").removeClass("active");
		if( $(this).hasClass("is-active") ){
			$("body").addClass("no-scroll");
		}
		else{
			$("body").removeClass("no-scroll");
		}
		
	});	

	//menu search
	$(".search-trigger").on( "click", function(event) {
		event.preventDefault();
		$("#main-nav").removeClass("open");
		$( "#searchform" ).addClass( "active" );
		$( ".overlay" ).addClass( "visible" );
		$( ".overlay-search" ).addClass( "visible" );
		$( "header#theme-header .nav.open" ).removeClass( "open" );
		$(".mobile-trigger.is-active").removeClass( "is-active" );
		setTimeout(function(){ 
			$(".overlay-search.visible input#s").focus();
		}, 100);
	});	
	
	//search close
	$(".search-close").on( "click", function(event) {
		event.preventDefault();
		$(".overlay").removeClass("visible");
		$(".overlay-search").removeClass("visible");
		$(".searchform").removeClass("active");
	});
	
	//go to top
	//$(".go_up_btn").on( "click", function(event) {
	$(document).on("click", ".go_up_btn", function (event) {
		event.preventDefault();
		 $("html, body").animate({ scrollTop: 0 });
	});	
		
	function resize_tweaks( windowWidth ){
		
		if( windowWidth < 1024 ){
			//mobile menu
			$("header#theme-header nav").removeClass( "open" );				
			$("header#theme-header nav ul").removeClass( "open-menu" );				
			$("header#theme-header .menu svg").removeClass( "rotate" );	
			
			$(".mobile-trigger").removeClass( "is-active" );						
		}
		else{
			$(".primary .menu, nav .sub-menu, nav .children").removeAttr("style");
			$(".menu > li").removeClass("menu-open");		
		}
	}
	
	function close_overlay( windowWidth ){		
		//close overlay
		$(document).on("click", function (e) {
			if ( $(e.target).closest("#searchform").length === 0 && $(e.target).closest(".search-trigger").length === 0 && 
					$(e.target).closest(".mobile-trigger").length === 0 &&  $(e.target).closest("header#theme-header nav").length === 0 ){
				
				$(".overlay").removeClass("visible");
				$("#searchform").removeClass("active");
				$( ".overlay-search" ).removeClass( "visible" );
				
				if( windowWidth < 1024 ){
					//mobile menu
					$("header#theme-header nav").removeClass( "open" );				
					$("header#theme-header nav ul").removeClass( "open-menu" );				
					$(".mobile-trigger").removeClass( "is-active" );
					$("body").removeClass("no-scroll");
				}
			}			
		});					
	}
	
	mobile_menu_offset( windowWidth ); 	
	
	close_overlay( windowWidth );

	$(window).on('resize', function(){
		var windowWidth = $(window).width();
		resize_tweaks( windowWidth );
		close_overlay( windowWidth );
		mobile_menu_offset( windowWidth );
		
	});	
	
	//add download count when button is clicked
	 $(".download-button a").on('click', function(){
		var elem = $(this);
		var post_id = elem.data("post-id");
		$.ajax({
			type: 'post',
			url: mixano_data.ajax_url,
			data: { action: "mixano_count_downloads", nonce: mixano_data.nonce, post_id: post_id },
			success: function(count){
			}
		});
    })
	

	//go to 
	$(".intro-holder .explore").on( "click", function( event ) {
		event.preventDefault();		
		var offset = $("#theme-header").outerHeight(true) + 15;
		var goTo = parseInt( $(".articles").offset().top ) - parseInt( offset );
		$([document.documentElement, document.body]).animate({
			scrollTop: goTo
		}, 400);		
	});	
	
	//author-dropdown
	$(".author-dropdown").on( "click", function( event ) {
		event.preventDefault();		
		$(".author-list").toggleClass("show");

	});		
	
	//author-dropdown close
	$(document).on("click", function (e) {
		if ( $(e.target).closest(".author-list").length === 0  ){
			$(".author-list.show").removeClass("show");
		}			
	});
	
})(jQuery);


(function($){	
	
	$( '#search-form-holder input[type="submit"]' ).focusout(function() {
		$("#searchform").removeClass("active");
		$( ".overlay" ).removeClass( "visible" );
	});	


	$(document).on('keydown', function(event) {
       if (event.key == 'Escape') {
           $( '.overlay' ).removeClass( 'visible' );
		   $('nav#primary').removeClass('open');
		   $('.mobile-trigger').removeClass('is-active');
		   $('#searchform').removeClass('active');
       }
	});
   
})(jQuery);	

(function($){
    "use strict";
	
	var wow_rtl = false;
	
	if( $("body").hasClass("rtl")){
		wow_rtl = true;
	}
	
	if( $('.popular-carousel').length ){
		
		$('.popular-carousel').slick({
			infinite: true,
			rtl: wow_rtl,
			lazyLoad: 'ondemand',
			slidesToShow: mixano_data.slick_how_many,
			slidesToScroll: 1,
			responsive: [
				{
				  breakpoint: 1024,
				  settings: {
					slidesToShow: 3,
					slidesToScroll: 1,
				  }
				},
				{
				  breakpoint: 600,
				  settings: {
					slidesToShow: 2,
					slidesToScroll: 1
				  }
				},
				{
				  breakpoint: 480,
				  settings: {
					slidesToShow: 1,
					slidesToScroll: 1
				  }
				}
			  ],
			prevArrow: '<button type="button" class="slick-prev" aria-label="Previous"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g><path d="M11.828 12l2.829 2.828-1.414 1.415L9 12l4.243-4.243 1.414 1.415L11.828 12z"/></g></svg></button>',
			nextArrow: '<button type="button" class="slick-next" aria-label="Next"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g><path d="M12.172 12L9.343 9.172l1.414-1.415L15 12l-4.243 4.243-1.414-1.415z"/></g></svg></button>', 
		});			
		
	}
	
	
	if( $('.slick').length ){
	
		 $('.slick').slick({
			lazyLoad: 'ondemand',
			fade: true,
			rtl: wow_rtl,
			prevArrow: '<button type="button" class="slick-prev" aria-label="Previous"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g><path d="M11.828 12l2.829 2.828-1.414 1.415L9 12l4.243-4.243 1.414 1.415L11.828 12z"/></g></svg></button>',
			nextArrow: '<button type="button" class="slick-next" aria-label="Next"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g><path d="M12.172 12L9.343 9.172l1.414-1.415L15 12l-4.243 4.243-1.414-1.415z"/></g></svg></button>',
		});
	}

})(jQuery);

(function($){
    "use strict";

	/* Calculate big category height */
	var number_catLink = $(".big-category .category-link").width()+200;
	$(".big-category").css("min-height",number_catLink);

	var number_socialProfiles = $(".article-share .social-profiles").width()+300;
	$(".article-share").css("min-height",number_socialProfiles);
	
	//calculate post single height date and category
	if( $("body").hasClass("single-post") ){
		var dateHeight = $(".date-published").outerWidth(true),
			dateMarginTop = $(".date-published").css("top").replace('px', ''),
			themeHeaderTop = $("#theme-header").css("top").replace('px', ''),
			givenOffset = 50,
			marginTopOffset = parseInt( dateHeight ) + parseInt( dateMarginTop ) + parseInt( themeHeaderTop ) + givenOffset;
		$(".details-inner").css("margin-top", marginTopOffset + "px" );
	}
	
	
})(jQuery);



/* Scroll progress indicator */
window.onscroll = function() {scrollProgress()};

function scrollProgress() {
	"use strict";
	
	var winScroll = document.body.scrollTop || document.documentElement.scrollTop;
	var height = document.documentElement.scrollHeight - document.documentElement.clientHeight;
	var scrolled = (winScroll / height) * 100;
	document.getElementById("scroll-progress").style.width = scrolled + "%";
}

/* 
    pointer.js was created by OwL for use on websites, 
    and can be found at https://seattleowl.com/pointer
*/
(function($){	
	
	"use strict";
	
	var windowWidth = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
	
	if( windowWidth > 1024 ){
		
		const pointer = document.createElement("div")
		pointer.id = "pointer-dot"
		const ring = document.createElement("div")
		ring.id = "pointer-ring"
		document.body.insertBefore(pointer, document.body.children[0])
		document.body.insertBefore(ring, document.body.children[0])

		let mouseX = -100
		let mouseY = -100
		let ringX = -100
		let ringY = -100
		let isHover = false
		let mouseDown = false
		const init_pointer = (options) => {

			window.onmousemove = (mouse) => {
				mouseX = mouse.clientX
				mouseY = mouse.clientY
			}

			window.onmousedown = (mouse) => {
				mouseDown = true
			}

			window.onmouseup = (mouse) => {
				mouseDown = false
			}

			const trace = (a, b, n) => {
				return (1 - n) * a + n * b;
			}
			window["trace"] = trace

			const getOption = (option) => {
				let defaultObj = {
					pointerColor: mixano_data.pointer_color,
					ringSize: 15,
					ringClickSize: (options["ringSize"] || 15) - 5,
				}
				if (options[option] == undefined) {
					return defaultObj[option]
				} else {
					return options[option]
				}
			}

			const render = () => {
				ringX = trace(ringX, mouseX, 0.2)
				ringY = trace(ringY, mouseY, 0.2)

				if (document.querySelector(".p-action-click:hover")) {
					pointer.style.borderColor = getOption("pointerColor")
					isHover = true
				} else {
					pointer.style.borderColor = mixano_data.pointer_color
					isHover = false
				}
				ring.style.borderColor = getOption("pointerColor")
				if (mouseDown) {
					ring.style.padding = getOption("ringClickSize") + "px"
				} else {
					ring.style.padding = getOption("ringSize") + "px"
				}

				pointer.style.transform = `translate(${mouseX}px, ${mouseY}px)`
				ring.style.transform = `translate(${ringX - (mouseDown ? getOption("ringClickSize") : getOption("ringSize"))}px, ${ringY - (mouseDown ? getOption("ringClickSize") : getOption("ringSize"))}px)`

				requestAnimationFrame(render)
			}
			requestAnimationFrame(render)
		}
		
		/* init fancy cursor */
		if( mixano_data.pointer == "1" ){
			init_pointer({})
		}
		
	}
   
})(jQuery);