<?php 
  // Create a section
  CSF::createSection( $prefix, array(
    'id'  => 'blog',
    'title'  => esc_html__( 'Blog','mixano' ),
	'icon'   => 'fa fa-book',
    'fields' => array(
		array(
		  'id'         => 'blog-layout',
		  'type'       => 'button_set',
		  'title'      => esc_html__( 'Blog layout','mixano' ),
		  'desc'      => esc_html__( 'Select your blog layout type.','mixano' ),
		  'options'    => array(
			'grid-4' => esc_html__( 'Grid 4','mixano' ),
			'grid-3' => esc_html__( 'Grid 3','mixano' ),
			'grid-2' => esc_html__( 'Grid 2','mixano' ),
			'grid-1' => esc_html__( 'Grid 1','mixano' ),
		  ),
		  'default'    => 'grid-4'
		),		
		array(
		  'id'         => 'blog-single-layout',
		  'type'       => 'button_set',
		  'title'      => esc_html__( 'Single layout','mixano' ),
		  'desc'      => esc_html__( 'Select your single layout type. You can override this for every post.','mixano' ),
		  'options'    => array(
			'sidebar' => esc_html__( 'Sidebar','mixano' ),
			'sidebar-fancy' => esc_html__( 'Sidebar Fancy','mixano' ),
			'sidebar-fancy-light' => esc_html__( 'Sidebar Fancy Light','mixano' ),
			'full' => esc_html__( 'Full','mixano' ),
			'full-fancy' => esc_html__( 'Full Fancy','mixano' ),
			'full-fancy-light' => esc_html__( 'Full Fancy Light','mixano' ),
		  ),
		  'default'    => 'sidebar-fancy'
		),
		array(
		  'id'      => 'bg-blog',
		  'type'    => 'background',
		  'title'   => esc_html__( 'Article Background','mixano' ),
		  'desc'   => esc_html__( 'Add a background to article single','mixano' ),
		  'default'                         => array(
			'background-color'              => '',
			'background-gradient-color'     => '',
			'background-gradient-direction' => '',
			'background-size'               => '',
			'background-position'           => '',
			'background-repeat'             => '',
			'background-image'             => '',
		  ),			  
		  'output' => '.content.mixano-row'		  
		),		
		array(
		  'id'         => 'enable-social-share',
		  'type'       => 'switcher',
		  'title'      => esc_html__( 'Floating social share','mixano' ),
		  'desc'      => esc_html__( 'Enables floating social share on single article. ( Mixano Core plugin must be active for this option to work ) ','mixano' ),
		  'default'    => '1'
		),
		array(
		  'id'         => 'big-cat-typography',
		  'type'       => 'typography',
		  'title'      => esc_html__( 'Big category text','mixano' ),
		  'desc'      => esc_html__( 'Choose size for big category font. Default 120px','mixano' ),
		  'subset' => false,
		  'text_align' => false,
		  'font_family' => false,
		  'text_transform' => false,
		  'font_size' => true,
		  'line_height' => false,
		  'letter_spacing' => false,
		  'color' => false,		  
		  'default' => array(
				'font-size'    => '120',
		  ),
		  'output' => '.big-category a'
		),			
    )
  ) );