<?php
/**
 * Template for breadcrumb navigation
 *
 * @package Mixano
 * @author wowlayers
 *
 */
?>
<?php if ( !mixano_is_home_or_front() ) { ?> 


<div class="breadcrumb-navigation">
<div class="vertical-line"></div>
<?php if ( is_category() ) { ?>
<div class="big-title secondary-font"><span><?php single_cat_title(); ?></span></div>
<h1 class="page-title"><?php single_cat_title(); ?></h1>
<?php mixano_cat_breadcrumb(); ?>
<?php } ?>



<?php if ( is_author() ) { ?>
<div class="author-breadcrumb"><!-- start .author-box -->
	<div class="big-title secondary-font"><span><?php echo esc_html( mixano_author_info( 'nickname' ) ); ?></span></div>
	<div class="author">
	<?php 
		echo mixano_author_avatar(); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped 
									// mixano_author_avatar() - uses get_avatar() - which is escaped in WordPress core
	?>
	</div>
	<h1><?php echo esc_html( mixano_author_info( 'nickname' ) ); ?></h1>
	<p><?php echo esc_html( mixano_author_info( 'description' ) ); ?></p>
	<?php mixano_output_social_author(); ?>
</div><!-- end .author-box -->
<?php } ?>



<?php if ( is_tag() ) { ?>
<div class="big-title secondary-font"><span><?php single_tag_title(); ?></span></div>
<h1 class="page-title"><?php single_tag_title(); ?></h1>
<?php mixano_breadcrumb(); ?>
<?php } ?>



<?php if ( is_year() ) { ?>
<div class="big-title secondary-font"><span><?php echo esc_html( get_the_time('Y') ); ?></span></div>
<h1 class="page-title"><?php echo esc_html( get_the_time('Y') ); ?></h1>
<?php mixano_breadcrumb(); ?>
<?php } ?>



<?php if ( is_month() ) { ?>
<div class="big-title secondary-font"><span><?php echo esc_html( get_the_time('F') ).' '.esc_html( get_the_time('Y') ); ?></span></div>
<h1 class="page-title"><?php echo esc_html( get_the_time('F') ).' '.esc_html( get_the_time('Y') ); ?></h1>
<?php mixano_breadcrumb(); ?>
<?php } ?>



<?php if ( is_day() ) { ?>
<div class="big-title secondary-font"><span><?php echo esc_html( get_the_time('d') ).' '.esc_html( get_the_time('F') ).' '.esc_html( get_the_time('Y') ); ?></span></div>
<h1 class="page-title"><?php echo esc_html( get_the_time('d') ).' '.esc_html( get_the_time('F') ).' '.esc_html( get_the_time('Y') ); ?></h1>
<?php mixano_breadcrumb(); ?>
<?php } ?>
</div>
<?php } ?> 